<?
// 
// $Id: filelist.php,v 1.12 2001/01/26 10:39:34 ce Exp $
//
// Brd Farstad <bf@ez.no>
// Created on: <10-Dec-2000 16:16:20 bf>
//
// This source file is part of eZ publish, publishing software.
// Copyright (C) 1999-2001 eZ systems as
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, US
//

include_once( "classes/INIFile.php" );
include_once( "classes/eztemplate.php" );
include_once( "classes/ezlog.php" );

include_once( "ezuser/classes/ezuser.php" );
include_once( "ezuser/classes/ezpermission.php" );

include_once( "ezfilemanager/classes/ezvirtualfile.php" );
include_once( "ezfilemanager/classes/ezvirtualfolder.php" );

$ini = new INIFIle( "site.ini" );

$Language = $ini->read_var( "eZFileManagerMain", "Language" );

$ImageDir = $ini->read_var( "eZFileManagerMain", "ImageDir" );

$t = new eZTemplate( "ezfilemanager/user/" . $ini->read_var( "eZFileManagerMain", "TemplateDir" ),
                     "ezfilemanager/user/intl/", $Language, "filelist.php" );

$t->set_file( "file_list_page_tpl", "filelist.tpl" );

$t->setAllStrings();

$t->set_block( "file_list_page_tpl", "current_folder_tpl", "current_folder" );

// path
$t->set_block( "file_list_page_tpl", "path_item_tpl", "path_item" );

$t->set_block( "file_list_page_tpl", "file_list_tpl", "file_list" );

$t->set_block( "file_list_page_tpl", "write_menu_tpl", "write_menu" );

$t->set_block( "file_list_tpl", "file_tpl", "file" );

$t->set_block( "file_tpl", "file_read_tpl", "file_read" );
$t->set_block( "file_tpl", "file_write_tpl", "file_write" );

$t->set_block( "file_list_page_tpl", "folder_list_tpl", "folder_list" );
$t->set_block( "folder_list_tpl", "folder_tpl", "folder" );

$t->set_block( "folder_tpl", "folder_write_tpl", "folder_write" );
$t->set_block( "folder_tpl", "folder_read_tpl", "folder_read" );

$t->set_var( "write_menu", "" );

$user = eZUser::currentUser();

$folder = new eZVirtualFolder( $FolderID );

$readPermission = $folder->checkReadPermission( $user );

$error = true;

if ( ( $readPermission == "User" ) || ( $readPermission == "Group" ) || ( $readPermission == "All" ) )
{
    $error = false;
}

if ( $FolderID == 0 )
{
    $error = false;
}

$t->set_var( "current_folder", "" );
$t->set_var( "current_folder_description", "" );
if ( $folder->id() != 0 )
{
    $t->set_var( "current_folder_description", $folder->description() );
    $t->set_var( "folder_id", $folder->id() );
    $t->set_var( "folder_name", $folder->name() );
    
    $t->parse( "current_folder", "current_folder_tpl" );
}

// path
$pathArray = $folder->path();

$t->set_var( "path_item", "" );
foreach ( $pathArray as $path )
{
    $t->set_var( "folder_id", $path[0] );

    $t->set_var( "folder_name", $path[1] );
    
    $t->parse( "path_item", "path_item_tpl", true );
}


$folderList =& $folder->getByParent( $folder );

$i=0;
foreach ( $folderList as $folderItem )
{

    $t->set_var( "folder_name", $folderItem->name() );
    $t->set_var( "folder_id", $folderItem->id() );

    $writePermission = $folderItem->checkWritePermission( $user );
    $readPermission = $folderItem->checkReadPermission( $user );

    $t->set_var( "folder_read", "" );
    $t->set_var( "folder_write", "" );

    if ( ( $readPermission == "User" ) || ( $readPermission == "Group" ) || ( $readPermission == "All" ) )
    {
        $t->parse( "folder_read", "folder_read_tpl" );
    }
    else
    {
    }

    if ( ( $writePermission == "User" ) || ( $writePermission == "Group" ) || ( $writePermission == "All" ) )
    {
        $t->parse( "folder_write", "folder_write_tpl" );
    }
    else
    {
    }

    $t->parse( "folder", "folder_tpl", true );
    $i++;
}

if ( $folder->id() != 0 )
{
    $currentWritePermission = $folder->checkWritePermission( $user );

    if ( ( $currentWritePermission == "User" ) || ( $currentWritePermission == "Group" ) || ( $currentWritePermission == "All" ) )
    {
        $t->parse( "write_menu", "write_menu_tpl" );
    }
}
else
{

    if ( eZPermission::checkPermission( $user, "eZFileManager", "WriteToRoot" ) )
    {
        $t->parse( "write_menu", "write_menu_tpl" );
    }
}

if ( count( $folderList ) > 0 )
{
    $t->parse( "folder_list", "folder_list_tpl" );
}
else
{
    $t->set_var( "folder_list", "" );
}


$fileList =& $folder->files();

//$i=0;
foreach ( $fileList as $file )
{
    $t->set_var( "file_id", $file->id() );
    $t->set_var( "original_file_name", $file->originalFileName() );
    $t->set_var( "file_name", $file->name() );
    $t->set_var( "file_url", $file->name() );

    $filePath = $file->filePath( true );

    $size = filesize( $filePath );

    if ( $size == 0 )
    {
        $t->set_var( "file_size", 0 );
    }
    else
    {
        $t->set_var( "file_size", $size );
    }

    $writePermission = $file->checkWritePermission( $user );
    $readPermission = $file->checkReadPermission( $user );

    $t->set_var( "file_read", "" );
    $t->set_var( "file_write", "" );

    if ( ( $readPermission == "User" ) || ( $readPermission == "Group" ) || ( $readPermission == "All" ) )
    {
        $t->parse( "file_read", "file_read_tpl" );
    }
    else
    {
    }

    if ( ( $writePermission == "User" ) || ( $writePermission == "Group" ) || ( $writePermission == "All" ) )
    {
        $t->parse( "file_write", "file_write_tpl" );
    }
    else
    {
    }

    $t->parse( "file", "file_tpl", true );
    
    $i++;
}


if ( count( $fileList ) > 0 )
{
    $t->parse( "file_list", "file_list_tpl" );
}
else
{
    $t->set_var( "file_list", "" );
}


$t->set_var( "image_dir", $ImageDir );
$t->set_var( "main_folder_id", $FolderID );


if ( $error == false )
    $t->pparse( "output", "file_list_page_tpl" );


?>

